| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
StringKey.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <functional>`
`#include <algorithm>`
`#include <vector>`
`#include "GaudiKernel/Kernel.h"`
`#include "GaudiKernel/StatusCode.h"`
Include dependency graph for StringKey.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Gaudi::StringKey
| The helper class to represent the efficient "key" for access. More...
struct | std::hash< Gaudi::StringKey >
| specialization of hash function used in C++11 collections like std::unordered_map More...

## Namespaces
| Gaudi
| Helper functions to set/get the application return code.
| Gaudi::Utils
| Gaudi::Parsers
| std
| STL namespace.

## Functions
template<unsigned int N>
bool | Gaudi::operator== (const Gaudi::StringKey &key1, const char(&key2)[N])
| equality operator with C-arrays More...
template<unsigned int N>
bool | Gaudi::operator!= (const Gaudi::StringKey &key1, const char(&key2)[N])
| non-equality operator with C-arrays More...
bool | Gaudi::operator== (const std::string &key1, const Gaudi::StringKey &key2)
| "right" form of equality operator More...
template<unsigned int N>
bool | Gaudi::operator== (const char(&key1)[N], const Gaudi::StringKey &key2)
| "right" form of equality operator More...
bool | Gaudi::operator!= (const std::string &key1, const Gaudi::StringKey &key2)
| "right" form of non-equality operator More...
template<unsigned int N>
bool | Gaudi::operator!= (const char(&key1)[N], const Gaudi::StringKey &key2)
| "right" form of non-equality operator More...
std::size_t | Gaudi::hash_value (const Gaudi::StringKey &key)
| hash-function: heeded for boost::hash More...
std::string | operator+ (const std::string &lhs, const Gaudi::StringKey &rhs)
std::string | operator+ (const char *lhs, const Gaudi::StringKey &rhs)
std::string | operator+ (const Gaudi::StringKey &lhs, const std::string &rhs)
std::string | operator+ (const Gaudi::StringKey &lhs, const char *rhs)
GAUDI_API std::ostream & | Gaudi::Utils::toStream (const Gaudi::StringKey &key, std::ostream &s)
| send the object to stream (needed to use it as property) More...
std::ostream & | Gaudi::operator<< (std::ostream &o, const Gaudi::StringKey &key)
| printout of the object reply on the native printout for the string More...
GAUDI_API StatusCode | Gaudi::Parsers::parse (Gaudi::StringKey &result, const std::string &input)
| parse the key from the string More...
GAUDI_API StatusCode | Gaudi::Parsers::parse (std::vector< Gaudi::StringKey > &result, const std::string &input)
| parse the vector of keys from the string More...

## Function Documentation

std::string operator+ | ( | const std::string & | lhs,
|  | const Gaudi::StringKey & | rhs
| ) |  |
| inline

Definition at line 221 of file StringKey.h.

221 {
222 return lhs + rhs.str();
223 }
Gaudi::StringKey::str
const std::string & str() const
the actual string
Definition: StringKey.h:47

std::string operator+ | ( | const char * | lhs,
|  | const Gaudi::StringKey & | rhs
| ) |  |
| inline

Definition at line 224 of file StringKey.h.

224 {
225 return lhs + rhs.str();
226 }
Gaudi::StringKey::str
const std::string & str() const
the actual string
Definition: StringKey.h:47

std::string operator+ | ( | const Gaudi::StringKey & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Definition at line 227 of file StringKey.h.

227 {
228 return lhs.str() + rhs;
229 }
Gaudi::StringKey::str
const std::string & str() const
the actual string
Definition: StringKey.h:47

std::string operator+ | ( | const Gaudi::StringKey & | lhs,
|  | const char * | rhs
| ) |  |
| inline

Definition at line 230 of file StringKey.h.

230 {
231 return lhs.str() + rhs;
232 }
Gaudi::StringKey::str
const std::string & str() const
the actual string
Definition: StringKey.h:47